
layout(location = 0) in vec3 os_pos;
layout(location = 1) in vec3 os_norm;

uniform mat4 mvp;
uniform mat4 modelmat;

out vec3 ws_pos;

void main()
{
	gl_Position =  mvp * vec4(os_pos, 1);

	ws_pos = (modelmat * vec4(os_pos, 1)).xyz;
}